/* 
 * File:   kpad4x4.h
 * Author: chengo_cc
 *
 * Created on 12 April 2016, 12:50 PM
 */

#ifndef KPAD4X4_H
//------------------------------------------------------------------------------
/*
  Upper Nibble(connected to Columns of Keypad) = OUTPUT,
 *Lower Nibble(Connected to Rows of Keypad) = INPUT*/
void keypad_init()
{
  KeypadPort_dir = 0x0F;
}
//------------------Scan with a 0 from RD4 through RD7--------------------------
char keypad_scan()
{
  char key = ' ';    //The Key pressed is used as an Index for the output.

  keypadPort = column0;
     if( row0 == 1 ) key = 0;
     if( row1 == 1 ) key = 1;
     if( row2 == 1 ) key = 2;
     if( row3 == 1 ) key = 3;

  keypadPort = column1;
     if( row0 == 1 ) key = 4;
     if( row1 == 1 ) key = 5;
     if( row2 == 1 ) key = 6;
     if( row3 == 1 ) key = 7;

  keypadPort = column2;
     if( row0 == 1 ) key = 8;
     if( row1 == 1 ) key = 9;
     if( row2 == 1 ) key = 10;
     if( row3 == 1 ) key = 11;

  keypadPort = column3;
     if( row0 == 1 ) key = 12;
     if( row1 == 1 ) key = 13;
     if( row2 == 1 ) key = 14;
     if( row3 == 1 ) key = 15;

  return key;
}
//------------------------------------------------------------------------------
#define	KPAD4X4_H

#ifdef	__cplusplus
extern "C" {
#endif




#ifdef	__cplusplus
}
#endif

#endif	/* KPAD4X4_H */