/* 
 * File:   prototypes_lcd.h
 * Author: chengo_cc
 *
 * Created on 12 April 2016, 12:54 PM
 */

#ifndef PROTOTYPES_LCD_H
//------------------------------------------------------------------------------
#include "delay.h"
//------------------------LCD Prototypes----------------------------------------
void LCD_init();
void LCD_write(char data);
void LCD_data(char data);
void LCD_command(char command);
void LCD_character(char row, char column, char character);
void LCD_string(char row, char column, char text[]);
void latch();
//------------------------------------------------------------------------------
const unsigned char screenPos[2][16] =
{
 {0x80,0x81,0x82,0x83,0x84,0x85,0x86,0x87,0x88,0x89,0x8A,0x8B,0x8C,0x8D,0x8E,0x8F}, //Top row screen co-ordinates (See Datasheet).
 {0xC0,0xC1,0xC2,0xC3,0xC4,0xC5,0xC6,0xC7,0xC8,0xC9,0xCA,0xCB,0xCC,0xCD,0xCE,0xCF}  //Bottom row screen co-ordinates
};
//------------------------------------------------------------------------------
#define	PROTOTYPES_LCD_H

#ifdef	__cplusplus
extern "C" {
#endif




#ifdef	__cplusplus
}
#endif

#endif	/* PROTOTYPES_LCD_H */

